// A baby with state; state encoded by an enum BState
public class Baby{
  public BState state;
  public Baby(){
    this.state = BState.CRYING;
  }
  public void feed(){
    if(this.state == BState.CRYING){
      this.state = BState.EATING;
    }
    else if(this.state == BState.SLEEPING){
      this.state = BState.CRYING;
    }
  }
  public void burp(){
    if(this.state == BState.EATING){
      this.state = BState.SLEEPING;
    }
    else{
      this.state = BState.CRYING;
    }
  }
  public static void main(String args[]){
    Baby b = new Baby();
    Baby b2 = new Baby();
    System.out.println(new Object());
    //    Bstate bs = new BState();
    System.out.println(b.state);
    System.out.println(b.state.equals(b2.state));
    System.out.println(b.state == b2.state);
  }
}
