// A baby where the enum state is nested in the class itself
public class BabyWithState{
  enum State { CRYING, EATING, SLEEPING; }
  public State state;
  public void feed(){
    if(this.state == State.CRYING){
      this.state = State.EATING;
    }
  }
  public void burp(){
    if(this.state == State.EATING){
      this.state = State.SLEEPING;
    }
    else{
      this.state = State.CRYING;
    }
  }
}
