// This is where package conventions start to become painful
import cards.Card;              // Must be in the cards/ subdirectory
import static cards.Card.*;	// Grab all the names of values
public class CardDemo{
  public static void main(String args[]){
    Card x = cards.Card.two;    // Fully qualified name
    Card y = Card.ten;          // Due to import cards.Card;
    Card z = ace;               // Due to import static ...
    System.out.println(two.beats(ten));
    System.out.println(x.beats(y));
    x = ace;
    System.out.println(x.beats(y));
    System.out.printf("%s %s\n",x,y);
    System.out.printf("%d %d\n",x.faceValue,y.faceValue);
    //Card z = new Card(19);	// Causes and error due to private constructor
  }
}
