package cards;
public enum Card{
  two(2),
  three(3),
  four(4),
  five(5),
  six(6),
  seven(7),
  eight(8),
  nine(9),
  ten(10),
  jack(11),
  queen(12),
  king(13),
  ace(14);

  public int faceValue;
  private Card(int v){          // public constructors not allowed here
    this.faceValue = v;
  }
  public boolean beats(Card c){
    return this.faceValue > c.faceValue;
  }

  // // Adjusting toString() using super.toString()
  // public String toString(){
  //   return String.format("%s: %d",super.toString(),this.faceValue);
  // }
}
