public enum Card{
  two(2),
  three(3),
  four(4),
  five(5),
  six(6),
  seven(7),
  eight(8),
  nine(9),
  ten(10),
  jack(11),
  queen(12),
  king(13),
  ace(14);

  public int faceValue;
  private Card(int v){          // public constructors not allowed here
    this.faceValue = v;
  }
  public boolean beats(Card c){
    return this.faceValue > c.faceValue;
  }

  // // Adjusting toString() using super.toString()
  // public String toString(){
  //   return String.format("%s: %d",super.toString(),this.faceValue);
  // }


  public static void main(String args[]){
    Card x = Card.two;
    Card y = Card.ten;
    Card z = Card.ace;
    System.out.println(two.beats(ten));
    System.out.println(x.beats(y));
    x = ace;
    System.out.println(x.beats(y));
    System.out.printf("%s %s\n",x,y);
    System.out.printf("%d %d\n",x.faceValue,y.faceValue);
    //Card z = new Card(19);	// Causes and error due to private constructor
  }
}
